@if (@a)==(@b) @end /*

:: Batch
@echo off &setlocal

set /a "start=21653196, stop=21653200"

for /l %%i in (%start% 1 %stop%) do (
  if exist "%%i.xml" (
    cscript //nologo //e:jscript "%~fs0" "%%i.xml" "C:\Test\Test1" "C:\Test\Test2"
  ) else (
    echo "%%i.xml" not found
  )
)

pause

:: JScript
exit /b&::*/ try {
  var xmlFileName = WScript.Arguments(0);
      oXmlDoc = new ActiveXObject('Microsoft.XMLDOM');

  oXmlDoc.load(xmlFileName);

  var colEyeNodes = oXmlDoc.documentElement.getElementsByTagName('eye');

  if (colEyeNodes.length === 2) {
    var oFSO = new ActiveXObject('Scripting.FileSystemObject'),
        arrEyeBoundX = new Array(parseFloat(colEyeNodes.item(0).selectSingleNode('eye-bounds/geometry/Rectangle').getAttribute('x')),
                                 parseFloat(colEyeNodes.item(1).selectSingleNode('eye-bounds/geometry/Rectangle').getAttribute('x')));
    if (arrEyeBoundX[0] < arrEyeBoundX[1]) {
      oFSO.CopyFile(xmlFileName, oFSO.BuildPath(WScript.Arguments(1), xmlFileName), true);
    } else {
      oFSO.CopyFile(xmlFileName, oFSO.BuildPath(WScript.Arguments(2), xmlFileName), true);
    }

    WScript.Quit(0);
  } else {
    WScript.StdErr.WriteLine('Wrong number of "eye" nodes.');
    WScript.Quit(1);
  }
}
catch(e) {
  WScript.StdErr.WriteLine(e.message);
  WScript.Quit(1);
}
